function [ texture ] = Image2Texture( image, dir,w )
    fName = [dir image] ;
    [imdata,map,alpha]=imread(fName);
    if ~isempty(map)
        imdata = ind2rgb(imdata,map);
    end
    if ~isempty(alpha)
        imdata(:,:,4)=alpha;%pad the 4th chanel with values from alpha
    end
    texture = Screen('MakeTexture', w, imdata);
end

